Description

Hi,

One of our ticketmanagers uses mainly his keyboard for editing tickets. We just upgraded from 1.8 to 2.2.3 and we noticed a change

in behavior when using the tab key on issue fields.

I have added some images to explain the problem, the final tab position is different in different browsers

1) we start a normal ticket.

2) enter subject, hit tab to go to description

3) enter description, hit tab to go to status field

4) type "A" to get "assigned"

5) ajaxupdate shortly visible, the field focus is gone.

6) press tab for next field but suddenly focus is on emoticon location (position depends on different browsers but selected field is

never the correct one)

It seems after the ajax call the focus is lost. I guess later versions will also be affected by this little bug.

Related issues:

Related to Redmine - Defect #14621: AJAX call on the issue form resets data e... Closed

History

#1 - 2013-04-09 16:24 - Stefaan Ellebaut

+1!

#2 - 2013-07-31 02:23 - Simon Edwards

I'm seeing the same thing, and also that if you change the tracker type and tab to the Subject field, anything you type is lost when the AJAX request

completes (as well as focus being lost).

#3 - 2013-08-07 13:37 - Etienne Massip

Second point is mentioned in #14621.

#4 - 2013-08-07 13:37 - Etienne Massip

- Related to Defect #14621: AJAX call on the issue form resets data entered during the request added

#5 - 2013-08-09 01:47 - Mischa The Evil

- Status changed from New to Confirmed

Confirmed on m.redmine.org (2.3.1.stable.11915) with all three Ajaxified fields (project, tracker & status).
